#ifndef PW_VISUAL_PIPELINE_HPP
#define PW_VISUAL_PIPELINE_HPP

#include <pw/core/size.hpp>
#include <pw/core/matrix.hpp>
#include <pw/core/mesh.hpp>

#include <map>

namespace pw {

class pipeline {

public:
	pipeline();
    ~pipeline();

	void draw();

	bool create(size s);

protected:
	struct impl;
	std::unique_ptr<impl> _impl;

};

}

#endif
